
Ryzom - Bug # 1483

Status: Resolved Priority: Normal
Author: tremolux Category: OS: GNU/Linux
Created: 06/20/2012 Assignee: kervala
Updated: 09/29/2012 Due date:
Subject: Local data files are not removed from ~/.ryzom when after uninstall
Description

Ubuntu 12.04 LTS
ryzom 1.13.0.2024-0ubuntu2

We've had a bug report for the Ubuntu Software Center project on Launchpad from a user who noticed that the set of local data files
stored in ~/.ryzom are not removed when the application is uninstalled. Since there are quite a few GB of data here, it might be better
to remove these files and allow them to be redownloaded on startup in the case of a reinstall.

The original Ubuntu bug on Launchpad is here:
https://bugs.launchpad.net/bugs/997514

I think this bug can be fixed in a straightforward manner in the ryzom debian packaging.

Please let me know if I can provide any other info, etc., and many thanks for all your good work on this great game!!

Gary

History
#1 - 06/21/2012 08:36 am - kervala

Thanks for reporting that, but that was intended !

Before downloading data in ~/.ryzom, we were putting them in /usr/share/games/ryzom and it was worst ! Because even if we were able to remove
them while uninstalling the package, a lot of people have a limited space in their / partition and 6 GB is too much.

Dowloading into ~/.ryzom was a suggestion by Canonical employees themselves.

Now imagine we delete ~/.ryzom after package uninstall, all personal infos are deleted too (interface saves, landmarks, screenshots, chat logs, etc...).
If we try to delete only ~/.ryzom/data (the 6 GB data), how the uninstaller will know where are located these data because each user can have a copy ?
What if a user uninstalled it to reinstall it later ? He'll have to redownload all 6 GB.

All applications put their data in ~ and some of them are using more disk space than other, do you know any application who delete files in ~ while
being uninstalled ?

When launching Baobab, the user will notice there is a folder taking more than 6 GB and will be able to remove it manually if that's his choice. Instead
of forcing something (Apple or Microsoft policies), I prefer to let the choice.

Eventually, perhaps I could add a dialog message at the end of patching process that if he want to free 6 GB, the user have to manually delete the
~/.ryzom/data directory.

#2 - 06/21/2012 08:50 am - kervala
Or another proposition if it's possible with Ubuntu Software Center, while uninstalling, ask to the user (using debconf) if he prefers removing or keeping
downloaded data.

Then browsing ~/.ryzom/data for each user and removing them if present.

What do you think ?

#3 - 07/28/2012 10:03 pm - kaetemi

How about making the client package depend on a dummy data package, and have the data deleted when the dummy data package is uninstalled?

#4 - 07/29/2012 08:59 am - kervala

That was what I did for Ryzom Core client on my PPA but for Ubuntu Software Center, one application = one package :(

#5 - 07/29/2012 09:07 am - kervala
- Status changed from New to Validated
- Assignee set to kervala

I'll implement this for next patch :

    -  when uninstalling Ryzom package, a dialog ask if the user want to keep downloaded data
    -  if the user press NO, the script (postrm) will search for all ~/.ryzom/data and delete them

#6 - 09/22/2012 10:48 am - kervala

Finally, instead of using debconf, I'll just implement the purge command in postrm script.

#7 - 09/25/2012 10:51 pm - kervala
- Status changed from Validated to Resolved
- Target version set to Version 0.9.0

That's working on my PPA, it will be soon uploaded on private Ryzom PPA and if all works fine, it will be published on Ubuntu Software Center
repository.

The solution I retained is sudo apt-get purge ryzom will delete downloaded data.

#8 - 09/28/2012 10:38 pm - kervala

Apparently, there is no purge equivalent with Ubuntu Software Center... But perhaps it is enough for users who can use Synaptic or apt-get.

#9 - 09/29/2012 04:53 pm - kervala

Also see https://wiki.ubuntu.com/SoftwareCenter#purging
